Skip to content

Replications

All operations require authentication.

6 operationsv2/publicCloud/project
Agent setup

List replication flowsBeta

GET
/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/replication

Returns the replication flows of the service, with their source and target integrations and whether they are enabled.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Replication[]successful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the resource was created

emitHeartbeats
read-only
boolean

Whether heartbeats are emitted on the replication flow

enabled
read-only
boolean

Whether this replication flow is enabled

id
read-only
stringuuid

Unique identifier of the replication flow

replicationPolicyClass
read-only
ReplicationPolicyClassEnum

Replication policy class used for this replication flow

Valuesorg.apache.kafka.connect.mirror.DefaultReplicationPolicyorg.apache.kafka.connect.mirror.IdentityReplicationPolicy
sourceIntegrationId
read-only
stringuuid

Identifier of the source integration

syncGroupOffsetsEnabled
read-only
boolean

Whether consumer group offsets are synced

syncInterval
read-only
integer

Sync interval in seconds

targetIntegrationId
read-only
stringuuid

Identifier of the target integration

topicExcludeList
read-only
string[]

List of topic patterns to exclude from replication

topicIncludeList
read-only
string[]

List of topic patterns to include in replication

updatedAt
read-only
stringdate-time

Date of the last update to the resource

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/replication \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "emitHeartbeats": true, "enabled": true, "id": "00000000-0000-0000-0000-000000000000", "replicationPolicyClass": "org.apache.kafka.connect.mirror.DefaultReplicationPolicy", "sourceIntegrationId": "00000000-0000-0000-0000-000000000000", "syncGroupOffsetsEnabled": true, "syncInterval": 0, "targetIntegrationId": "00000000-0000-0000-0000-000000000000", "topicExcludeList": [ "string" ], "topicIncludeList": [ "string" ], "updatedAt": "2024-01-01T12:00:00Z" }]

Get a replication flowBeta

GET
/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/replication/{replicationId}

Returns the source and target integrations of the flow, its topic patterns and its sync settings.

Path parameters

projectId
required
string

Project ID

replicationId
required
stringuuid

Replication ID

serviceId
required
stringuuid

Service ID

Response

200Replicationsuccessful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the resource was created

emitHeartbeats
read-only
boolean

Whether heartbeats are emitted on the replication flow

enabled
read-only
boolean

Whether this replication flow is enabled

id
read-only
stringuuid

Unique identifier of the replication flow

replicationPolicyClass
read-only
ReplicationPolicyClassEnum

Replication policy class used for this replication flow

Valuesorg.apache.kafka.connect.mirror.DefaultReplicationPolicyorg.apache.kafka.connect.mirror.IdentityReplicationPolicy
sourceIntegrationId
read-only
stringuuid

Identifier of the source integration

syncGroupOffsetsEnabled
read-only
boolean

Whether consumer group offsets are synced

syncInterval
read-only
integer

Sync interval in seconds

targetIntegrationId
read-only
stringuuid

Identifier of the target integration

topicExcludeList
read-only
string[]

List of topic patterns to exclude from replication

topicIncludeList
read-only
string[]

List of topic patterns to include in replication

updatedAt
read-only
stringdate-time

Date of the last update to the resource

Example uses projectId = string, replicationId = 00000000-0000-0000-0000-000000000000, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/replication/{replicationId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "emitHeartbeats": true, "enabled": true, "id": "00000000-0000-0000-0000-000000000000", "replicationPolicyClass": "org.apache.kafka.connect.mirror.DefaultReplicationPolicy", "sourceIntegrationId": "00000000-0000-0000-0000-000000000000", "syncGroupOffsetsEnabled": true, "syncInterval": 0, "targetIntegrationId": "00000000-0000-0000-0000-000000000000", "topicExcludeList": [ "string" ], "topicIncludeList": [ "string" ], "updatedAt": "2024-01-01T12:00:00Z"}

Create a replication flowBeta

POST
/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/replication

Creates a replication flow from a source integration to a target integration. Topics matching the include patterns are replicated, except those matching the exclude patterns.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Request body (required)

emitHeartbeats
boolean

Whether heartbeats are emitted on the replication flow

enabled
required
boolean

Whether this replication flow is enabled

replicationPolicyClass
ReplicationPolicyClassEnum

Replication policy class used for this replication flow

Valuesorg.apache.kafka.connect.mirror.DefaultReplicationPolicyorg.apache.kafka.connect.mirror.IdentityReplicationPolicy
sourceIntegrationId
required
stringuuid

Identifier of the source integration

syncGroupOffsetsEnabled
boolean

Whether to sync consumer group offsets

syncInterval
integer

Sync interval in seconds

targetIntegrationId
required
stringuuid

Identifier of the target integration

topicExcludeList
string[]

Topic patterns to exclude from replication

topicIncludeList
string[]

Topic patterns to include in replication

Response

200Replicationsuccessful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the resource was created

emitHeartbeats
read-only
boolean

Whether heartbeats are emitted on the replication flow

enabled
read-only
boolean

Whether this replication flow is enabled

id
read-only
stringuuid

Unique identifier of the replication flow

replicationPolicyClass
read-only
ReplicationPolicyClassEnum

Replication policy class used for this replication flow

Valuesorg.apache.kafka.connect.mirror.DefaultReplicationPolicyorg.apache.kafka.connect.mirror.IdentityReplicationPolicy
sourceIntegrationId
read-only
stringuuid

Identifier of the source integration

syncGroupOffsetsEnabled
read-only
boolean

Whether consumer group offsets are synced

syncInterval
read-only
integer

Sync interval in seconds

targetIntegrationId
read-only
stringuuid

Identifier of the target integration

topicExcludeList
read-only
string[]

List of topic patterns to exclude from replication

topicIncludeList
read-only
string[]

List of topic patterns to include in replication

updatedAt
read-only
stringdate-time

Date of the last update to the resource

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/replication \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "emitHeartbeats": true, "enabled": true, "id": "00000000-0000-0000-0000-000000000000", "replicationPolicyClass": "org.apache.kafka.connect.mirror.DefaultReplicationPolicy", "sourceIntegrationId": "00000000-0000-0000-0000-000000000000", "syncGroupOffsetsEnabled": true, "syncInterval": 0, "targetIntegrationId": "00000000-0000-0000-0000-000000000000", "topicExcludeList": [ "string" ], "topicIncludeList": [ "string" ], "updatedAt": "2024-01-01T12:00:00Z"}

Delete a replication flowBeta

DELETE
/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/replication/{replicationId}

Deletes the replication flow and stops the replication.

Path parameters

projectId
required
string

Project ID

replicationId
required
stringuuid

Replication ID

serviceId
required
stringuuid

Service ID

Response

200Replicationsuccessful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the resource was created

emitHeartbeats
read-only
boolean

Whether heartbeats are emitted on the replication flow

enabled
read-only
boolean

Whether this replication flow is enabled

id
read-only
stringuuid

Unique identifier of the replication flow

replicationPolicyClass
read-only
ReplicationPolicyClassEnum

Replication policy class used for this replication flow

Valuesorg.apache.kafka.connect.mirror.DefaultReplicationPolicyorg.apache.kafka.connect.mirror.IdentityReplicationPolicy
sourceIntegrationId
read-only
stringuuid

Identifier of the source integration

syncGroupOffsetsEnabled
read-only
boolean

Whether consumer group offsets are synced

syncInterval
read-only
integer

Sync interval in seconds

targetIntegrationId
read-only
stringuuid

Identifier of the target integration

topicExcludeList
read-only
string[]

List of topic patterns to exclude from replication

topicIncludeList
read-only
string[]

List of topic patterns to include in replication

updatedAt
read-only
stringdate-time

Date of the last update to the resource

Example uses projectId = string, replicationId = 00000000-0000-0000-0000-000000000000, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/replication/{replicationId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "emitHeartbeats": true, "enabled": true, "id": "00000000-0000-0000-0000-000000000000", "replicationPolicyClass": "org.apache.kafka.connect.mirror.DefaultReplicationPolicy", "sourceIntegrationId": "00000000-0000-0000-0000-000000000000", "syncGroupOffsetsEnabled": true, "syncInterval": 0, "targetIntegrationId": "00000000-0000-0000-0000-000000000000", "topicExcludeList": [ "string" ], "topicIncludeList": [ "string" ], "updatedAt": "2024-01-01T12:00:00Z"}

Update a replication flowBeta

PUT
/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/replication/{replicationId}

Updates the topic patterns, sync settings and state of the flow. Every field is required. The source and target integrations cannot be changed.

Path parameters

projectId
required
string

Project ID

replicationId
required
stringuuid

Replication ID

serviceId
required
stringuuid

Service ID

Request body (required)

emitHeartbeats
required
boolean

Whether heartbeats are emitted on the replication flow

enabled
required
boolean

Whether this replication flow is enabled

replicationPolicyClass
required
ReplicationPolicyClassEnum

Replication policy class used for this replication flow

Valuesorg.apache.kafka.connect.mirror.DefaultReplicationPolicyorg.apache.kafka.connect.mirror.IdentityReplicationPolicy
syncGroupOffsetsEnabled
required
boolean

Whether to sync consumer group offsets

syncInterval
required
integer

Sync interval in seconds

topicExcludeList
required
string[]

Topic patterns to exclude

topicIncludeList
required
string[]

Topic patterns to include

Response

200Replicationsuccessful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the resource was created

emitHeartbeats
read-only
boolean

Whether heartbeats are emitted on the replication flow

enabled
read-only
boolean

Whether this replication flow is enabled

id
read-only
stringuuid

Unique identifier of the replication flow

replicationPolicyClass
read-only
ReplicationPolicyClassEnum

Replication policy class used for this replication flow

Valuesorg.apache.kafka.connect.mirror.DefaultReplicationPolicyorg.apache.kafka.connect.mirror.IdentityReplicationPolicy
sourceIntegrationId
read-only
stringuuid

Identifier of the source integration

syncGroupOffsetsEnabled
read-only
boolean

Whether consumer group offsets are synced

syncInterval
read-only
integer

Sync interval in seconds

targetIntegrationId
read-only
stringuuid

Identifier of the target integration

topicExcludeList
read-only
string[]

List of topic patterns to exclude from replication

topicIncludeList
read-only
string[]

List of topic patterns to include in replication

updatedAt
read-only
stringdate-time

Date of the last update to the resource

Example uses projectId = string, replicationId = 00000000-0000-0000-0000-000000000000, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/replication/{replicationId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "emitHeartbeats": true, "enabled": true, "id": "00000000-0000-0000-0000-000000000000", "replicationPolicyClass": "org.apache.kafka.connect.mirror.DefaultReplicationPolicy", "sourceIntegrationId": "00000000-0000-0000-0000-000000000000", "syncGroupOffsetsEnabled": true, "syncInterval": 0, "targetIntegrationId": "00000000-0000-0000-0000-000000000000", "topicExcludeList": [ "string" ], "topicIncludeList": [ "string" ], "updatedAt": "2024-01-01T12:00:00Z"}

Partially update a replication flowBeta

PATCH
/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/replication/{replicationId}

Partially updates the topic patterns, sync settings or state of the flow. The source and target integrations cannot be changed.

Path parameters

projectId
required
string

Project ID

replicationId
required
stringuuid

Replication ID

serviceId
required
stringuuid

Service ID

Request body (required)

emitHeartbeats
boolean

Whether heartbeats are emitted on the replication flow

enabled
boolean

Whether this replication flow is enabled

replicationPolicyClass
ReplicationPolicyClassEnum

Replication policy class used for this replication flow

Valuesorg.apache.kafka.connect.mirror.DefaultReplicationPolicyorg.apache.kafka.connect.mirror.IdentityReplicationPolicy
syncGroupOffsetsEnabled
boolean

Whether to sync consumer group offsets

syncInterval
integer

Sync interval in seconds

topicExcludeList
string[]

Topic patterns to exclude

topicIncludeList
string[]

Topic patterns to include

Response

200Replicationsuccessful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the resource was created

emitHeartbeats
read-only
boolean

Whether heartbeats are emitted on the replication flow

enabled
read-only
boolean

Whether this replication flow is enabled

id
read-only
stringuuid

Unique identifier of the replication flow

replicationPolicyClass
read-only
ReplicationPolicyClassEnum

Replication policy class used for this replication flow

Valuesorg.apache.kafka.connect.mirror.DefaultReplicationPolicyorg.apache.kafka.connect.mirror.IdentityReplicationPolicy
sourceIntegrationId
read-only
stringuuid

Identifier of the source integration

syncGroupOffsetsEnabled
read-only
boolean

Whether consumer group offsets are synced

syncInterval
read-only
integer

Sync interval in seconds

targetIntegrationId
read-only
stringuuid

Identifier of the target integration

topicExcludeList
read-only
string[]

List of topic patterns to exclude from replication

topicIncludeList
read-only
string[]

List of topic patterns to include in replication

updatedAt
read-only
stringdate-time

Date of the last update to the resource

Example uses projectId = string, replicationId = 00000000-0000-0000-0000-000000000000, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/replication/{replicationId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "emitHeartbeats": true, "enabled": true, "id": "00000000-0000-0000-0000-000000000000", "replicationPolicyClass": "org.apache.kafka.connect.mirror.DefaultReplicationPolicy", "sourceIntegrationId": "00000000-0000-0000-0000-000000000000", "syncGroupOffsetsEnabled": true, "syncInterval": 0, "targetIntegrationId": "00000000-0000-0000-0000-000000000000", "topicExcludeList": [ "string" ], "topicIncludeList": [ "string" ], "updatedAt": "2024-01-01T12:00:00Z"}